module.exports = {
  root: true,
  // https://github.com/feross/standard/blob/master/RULES.md#javascript-standard-style
  extends: 'standard',
  // required to lint *.vue files
  plugins: [
    'html'
  ],
  // add your custom rules here
  'rules': {
    // allow paren-less arrow functions
    'arrow-parens': 0,
    // allow debugger during development
    'no-debugger': process.env.NODE_ENV === 'production' ? 2 : 0,
    "indent": 0,//["error", 4],
    "no-unused-vars":0,
    "semi":0,
    'space-before-function-paren':0,
    'no-useless-escape':0,
    'template-curly-spacing':0,
    'key-spacing':0 ,
    'no-trailing-spaces':0   
  }
}
