'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var updateIndex = function updateIndex(list) {
    list.forEach(function (item, index) {
        item.index = index + 1;
    });
};

function getImage(src, previewItem) {
    return new _promise2.default(function (resolve, reject) {
        var img = new window.Image();
        img.src = src;
        img.onload = function () {
            previewItem['naturalHeight'] = img.naturalHeight;
            previewItem['naturalWidth'] = img.naturalWidth;
            resolve(img);
        };
        img.error = function (e) {
            reject(e);
        };
    });
}

var preview = function preview(Vue, $eventBus) {};

exports.default = preview;