export default{
	offset(element) {
	  var offest = {
	    top: 0,
	    left: 0
	  };
	 
	  var _position;
	 
	  getOffset(element, true);
	 
	  return offest;
	 
	  // 递归获取 offset, 可以考虑使用 getBoundingClientRect
	  function getOffset(node, init) {
	    // 非Element 终止递归
	    if (!node||node.nodeType !== 1) {
	      return;
	    }
	    _position = window.getComputedStyle(node)['position'];
	 
	    // position=static: 继续递归父节点
	    if (typeof(init) === 'undefined' && _position === 'static') {
	      getOffset(node.parentNode);
	      return;
	    }
	    offest.top = node.offsetTop + offest.top - node.scrollTop;
	    offest.left = node.offsetLeft + offest.left - node.scrollLeft;
	 
	    // position = fixed: 获取值后退出递归
	    if (_position === 'fixed') {
	      return;
	    }
	 
	    getOffset(node.parentNode);
	  }
	},
	animateScrollTo(element, to, duration) {
	    var start = element.scrollTop,
	        change = to - start,
	        increment = 20;

	   	var easeInOut=function (currentTime, start, change, duration) {
		    currentTime /= duration / 2;
		    if (currentTime < 1) {
		        return change / 2 * currentTime * currentTime + start;
		    }
		    currentTime -= 1;
		    return -change / 2 * (currentTime * (currentTime - 2) - 1) + start;
		}
	    var animateScroll = function(elapsedTime) {        
	        elapsedTime += increment;
	        var position = easeInOut(elapsedTime, start, change, duration);                        
	        element.scrollTop = position; 
	        if (elapsedTime < duration) {
	            setTimeout(function() {
	                animateScroll(elapsedTime);
	            }, increment);
	        }
	    };

	    animateScroll(0);
	}

	
}