"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (Vue) {
	Vue.directive("drag", {
		bind: function bind(el, binding, vnode, oldVnode) {}
	});

	Vue.directive("focus", {
		inserted: function inserted(el, _ref) {
			var value = _ref.value;

			if (value) {
				el.focus();
			}
		},
		update: function update(el, _ref2) {
			var value = _ref2.value;

			if (value === true) {
				el.focus();
			}
		}
	});
};