/**
 * Created by  on 2016/4/1.
 */
import Vue from 'vue'
import VueResource from 'vue-resource'
import common from './common'

var apis=[common];

Vue.use(VueResource);
Vue.http.options.emulateJSON = true;


var requestObjs=[];
for(var i=0;i<apis.length;i++){
	requestObjs=requestObjs.concat(apis[i]);
}

var fns={};
for(var i=0;i<requestObjs.length;i++){
	var reqObj=requestObjs[i];
	var url=reqObj.url;
	/*请求方式 1 post 0 get*/
	var reqMethod=reqObj.method=="POST"?1:0;

	fns[reqObj.name]=(function(url){
		return (options)=>{
			return new Promise(function(resolve,reject){
				let reqPromise=null;
				if(reqMethod==1){
					reqPromise=Vue.http.post( url,options);
				}else{
					reqPromise=Vue.http.get(url,{params:options});
				}
				reqPromise.then((response)=>{
					resolve(response.body);
				})
				
			})
		}
	})(url);
}
export default fns;