// basic
import EduButton from './basic/button.vue'
import EduButtonGroup from './basic/buttonGroup.vue'
import EduDropButton from './basic/dropButton.vue'
import EduTag from './basic/tag.vue'
import EduTable from './basic/table.vue'
import EduSimpleTable from './basic/SimpleTable.vue'
import EduImg from './basic/Img.vue'
/* import EduCard from './basic/card.vue'
import EduCardGroup from './basic/cardGroup.vue' */

// form
/*import EduFormItem from './form/formItem.vue'*/
import EduCheckbox from './form/Checkbox.vue'
import EduCheckboxGroup from './form/CheckboxGroup.vue'
import EduRadio from './form/Radio.vue'
import EduInput from './form/Input.vue'
import EduForm from './form/Form.vue'
import EduFormContent from './form/FormContent'
import EduFormFooter from './form/FormFooter'
import EduFormGroup from './form/FormGroup'
import EduFormLabel from './form/FormLabel'
import EduDateBook from './form/eduDatebook'
 import EduValidTips from './form/ValidTips.vue'
/* import EduText from './form/textfield.vue' */
 import EduTextarea from './form/Textarea.vue'
/*import EduEditText from './form/editable.vue'
import EduTextSelect from './form/rdTextSelect.vue' */
/*import EduRadio from './form/radio.vue'
import EduRadioGroup from './form/radioGroup.vue'*/
import EduCascader from './form/cascader.vue'
/* import EduSwitch from './form/switch.vue'
import EduSlider from './form/slider.vue' */

import EduSelect from './form/SimpleSelect.vue'
import EduOption from './form/SimpleSelectOption.vue'
import EduTimepicker from './form/eduTimepicker.vue'
import EduNumber from './form/numberInput.vue'
import EduDatepicker from './form/eduDatepicker.vue'
import EduDateRangepicker from './form/eduDateRangepicker.vue'
import EduMonthpicker from './form/eduMonthpicker.vue'
import EduSimpleTime from './form/eduSimpleTime.vue'
/* import EduAutoSearch from './form/autoSearch.vue'
 */
// common
import EduTooltip from './common/toolTip.vue'
import EduAlert from './common/alert.vue'
import EduSpin from './common/spin.vue'
import EduDialog from './common/dialog.vue'
import EduCollapseItem from './common/CollapseItem.vue'
import EduDetailInfo from './common/detailInfo.vue'

import EduSearchBox from './common/SearchBox.vue'
import EduElementGroup from './common/ElementGroup.vue'
import EduSearchItem from './common/SearchItem.vue'
import EduSearchButton from './common/SearchButton.vue'
import EduProgress from './common/progress.vue'
import EduProgressCircle from './common/progressCircle.vue'
import EduRequireTag from './common/RequireTag.vue'
import EduListPage from './common/ListPage.vue'
/* import EduTimeline from './common/timeline.vue'
import EduAudio from './common/audio.vue'
import EduUpload from './common/upload.vue'
import EduTree from './common/tree.vue'
 */
// global
/*import EduModal from './global/modal.vue'*/
import EduNotification from './global/notification.vue'
import EduPreview from './global/preview.vue'
import EduLoadingbar from './global/loadingbar.vue'

// Navigation
import EduBreadcrumb from './navigation/breadcrumb.vue'
import EduPagination from './navigation/pagination.vue'

// Install
import EduInstall from './install'

import EduEmitter from './mixins/emitter';
import domUtil from './utils/dom';

export {
    // basic
    EduButton,
    EduButtonGroup,
    EduDropButton,
    EduTag,
    EduTable,
    EduSimpleTable,
    EduImg,
    /* rdCard,
    EduCardGroup, */

    // form
    EduSelect,
    EduOption,
    /*EduFormItem,*/
    EduCheckbox,
    EduCheckboxGroup,
    EduRadio,
    EduInput,
    EduForm,
    EduFormContent,
    EduFormFooter,
    EduFormGroup,
    EduFormLabel,
    EduValidTips,
   /* EduText,*/
    EduTextarea,
    /*  EduEditText,
    EduTextSelect, */
   /* EduRadioGroup,*/
    /* rdCascader,
    EduSwitch,
    EduSlider, */
    EduTimepicker, 
    EduSimpleTime,
    EduNumber,
    EduDatepicker,
    EduDateRangepicker,
    EduMonthpicker,
    EduDateBook,
    /* EduAutoSearch, */

    // common
    EduTooltip,
    EduAlert,
    EduSpin,
    EduDialog,
    EduCollapseItem,
    EduDetailInfo,

    EduSearchBox,
    EduSearchItem,
    EduElementGroup,
    EduSearchButton,
    EduProgress,
    EduProgressCircle,
    EduRequireTag,
    EduListPage,
    /* rdTimeline,
    EduUpload,
    EduAudio,
    EduTree, */

    // global
    EduNotification,
    /* EduModal, */
    EduPreview,
    EduLoadingbar,

    // Navigation
    EduBreadcrumb,
    EduPagination,

    // install
    EduInstall,
    EduEmitter,
    domUtil
}
